%define sversion %(echo %version |sed -e 's#\\.##')
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %name -d
%define develnamestatic %mklibname %name -d -s

Name: cfitsio
Version: 3.250
Release: %mkrel 2
URL:	http://heasarc.gsfc.nasa.gov/docs/software/fitsio/
Source:	ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sversion}.tar.gz
Patch0:         cfitsio.patch
Patch1:         cfitsio-pkgconfig.patch
License:	BSD-like
Summary:	Library for accessing files in FITS format for C and Fortran
Group:		System/Libraries
BuildRequires:	gcc-gfortran
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
CFITSIO is a library of C and Fortran subroutines for reading and 
writing data files in FITS (Flexible Image Transport System) data format. 
CFITSIO simplifies the task of writing software that deals with FITS 
files by providing an easy to use set of high-level routines that insulate 
the programmer from the internal complexities of the FITS file format. 
At the same time, CFITSIO provides many advanced features that have made 
it the most widely used FITS file programming interface in the astronomical 
community.

%package -n %{libname}
License: BSD-like
Summary: Library for accessing files in FITS format for C and Fortran
Group:	 	 System/Libraries
Obsoletes:	%{_lib}%{name} < 3.090

%description -n %{libname}

CFITSIO is a library of C and Fortran subroutines for reading and
writing data files in FITS (Flexible Image Transport System) data
format.  CFITSIO simplifies the task of writing software that deals
with FITS files by providing an easy to use set of high-level routines
that insulate the programmer from the internal complexities of the
FITS file format.  At the same time, CFITSIO provides many advanced
features that have made it the most widely used FITS file programming
interface in the astronomical community.  This package contains the
shared library required by prgrams that use the cfits library.

%package -n %{develname}
License:	BSD-like
Summary:	Library for accessing files in FITS format for C and Fortran
Group:		System/Libraries
Provides:	fitsio-devel = %{version} 
Provides:   cfitsio-devel = %{version}
Requires:   pkgconfig
Requires:   %libname = %version
Conflicts:	%{_lib}%{name} < 3.090

%description -n %{develname}
CFITSIO is a library of C and Fortran subroutines for reading and 
writing data files in FITS (Flexible Image Transport System) data format. 
CFITSIO simplifies the task of writing software that deals with FITS 
files by providing an easy to use set of high-level routines that insulate 
the programmer from the internal complexities of the FITS file format. 
At the same time, CFITSIO provides many advanced features that have made 
it the most widely used FITS file programming interface in the astronomical 
community.

This package contains the headers required for compiling software that uses
the cfits library.

%package -n %{develnamestatic}
License:	BSD-like
Summary:	Library for accessing files in FITS format for C and Fortran
Group:		System/Libraries
Requires:   %{develname}
Requires:   %libname = %version

%description -n %{develnamestatic}
CFITSIO is a library of C and Fortran subroutines for reading and 
writing data files in FITS (Flexible Image Transport System) data format. 
CFITSIO simplifies the task of writing software that deals with FITS 
files by providing an easy to use set of high-level routines that insulate 
the programmer from the internal complexities of the FITS file format. 
At the same time, CFITSIO provides many advanced features that have made 
it the most widely used FITS file programming interface in the astronomical 
community.

This package contains the headers required for compiling software that uses
the cfits library.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
FC=f95
export FC
export CC=gcc # fixes -O*, -g
%configure2_5x
%make shared
ln -s libcfitsio.so.0 libcfitsio.so
%make fpack
%make funpack
unset FC
# Manually fix pkgconfig .pc file (BZ 436539, BZ 618291)
sed 's|/usr/include|/usr/include/%{name}|' cfitsio.pc >cfitsio.pc.new
mv cfitsio.pc.new cfitsio.pc

%check
make testprog
LD_LIBRARY_PATH=. ./testprog > testprog.lis
cmp -s testprog.lis testprog.out
cmp -s testprog.fit testprog.std

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
make LIBDIR=%{_lib} INCLUDEDIR=include/%{name} CFITSIO_LIB=%{buildroot}%{_libdir} \
     CFITSIO_INCLUDE=%{buildroot}%{_includedir}/%{name} install
pushd %{buildroot}%{_libdir}
ln -s libcfitsio.so.0 libcfitsio.so
popd
mkdir %{buildroot}%{_bindir}
cp -p f{,un}pack %{buildroot}%{_bindir}/

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{develnamestatic}
%defattr(-,root,root)
%{_libdir}/*.a





%changelog
* Sat Jan 22 2011 ahmad <ahmad> 3.250-2.mga1
+ Revision: 33112
- drop old/unneeded scriptlets
- imported package cfitsio


* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 3.250-1mdv2011.0
+ Revision: 570526
- New version 3.250
- drop p0 (merged upstream)
- sync with fedora

* Sun Feb 21 2010 Emmanuel Andry <eandry@mandriva.org> 3.240-1mdv2010.1
+ Revision: 509075
- New version 3.240

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 3.210-1mdv2010.1
+ Revision: 472664
- new version 3.210

* Sat Sep 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.181-2mdv2010.0
+ Revision: 449335
- rebuild for missing binaries

* Thu Jul 16 2009 Funda Wang <fwang@mandriva.org> 3.181-1mdv2010.0
+ Revision: 396626
- New version 3.181

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.140-1mdv2009.1
+ Revision: 360111
- Updated to version 3.140

* Fri Feb 20 2009 Emmanuel Andry <eandry@mandriva.org> 3.130-1mdv2009.1
+ Revision: 343432
- New version 3.130
- use variable for major

* Sat Aug 23 2008 Funda Wang <fwang@mandriva.org> 3.100-1mdv2009.0
+ Revision: 275342
- New version 3.100

* Tue Aug 12 2008 Funda Wang <fwang@mandriva.org> 3.090-1mdv2009.0
+ Revision: 270999
- New version 3.090
- add gentoo patch to use autotools and fix pkgconfig file
- lib becomes versioned

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.060-4mdv2009.0
+ Revision: 220500
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 3.060-3mdv2008.1
+ Revision: 164139
- Static lib must be splitted

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 3.060-2mdv2008.1
+ Revision: 162847
- readd library package to fix bug #37402

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.060-1mdv2008.1
+ Revision: 139621
- New version
- obsoletes libcfitsio

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.040-1mdv2008.0
+ Revision: 56766
- New version
- Obsoletes lib package. Is only static.
- import cfitsio-2.490-2mdk


* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.490-2mdk
- Fix BuildRequires

* Tue May 18 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.490-1mdk
- first Mandrake package

